package domain

type AlibabaWdkMarketingDiscountItemAddAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingDiscountItemAddAsyncCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingDiscountItemAddAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingDiscountItemAddAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
